## openmama 2.2.2.1

=== Makefile ===
# $Id$
#
# OpenMAMA: The open middleware agnostic messaging API
# Copyright (C) 2011 NYSE Technologies, Inc.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 USA
#

# Pick up the install directory as set by configure
PREFIX :=$(shell cat prefix.txt)

.PHONY: all docs mama mama-install mama-clean mamajni mamajni-install mamajni-clean\
		mamda mamda-install mamda-clean mamdajni mamdajni-install mamdajni-clean\
		common common-install common-clean test

all: common mama mamajni mamda mamdajni docs

install: common-install mama-install mamajni-install mamda-install mamdajni-install

clean: common-clean mama-clean mamajni-clean mamda-clean mamdajni-clean


#####################################################
# COMMON
#####################################################
common: 
	cd common/c_cpp ; make ; cd -

common-install:
	cd common/c_cpp ; make install -j1 -l80 ; cd -

common-clean:
	cd common/c_cpp ; make clean -j1 -l80 ; cd -


#####################################################
# MAMA
#####################################################
mama: common
	cd mama/c_cpp ; make ; cd -

mama-install: common-install
	cd mama/c_cpp ; make install -j1 -l80 ; cd -

mama-clean:
	cd mama/c_cpp ; make clean; cd -


#####################################################
# MAMAJNI
#####################################################
mamajni: mama
	cd mama/jni ; ant -f build.xml ; make ; cd -

mamajni-install: mama-install mamajni
	cd mama/jni ; ant -f build.xml ; make install -j1 -l80 ; cd -
	$(eval MAMAJNI_BUILD := mama/jni/$(shell ls -1 mama/jni | grep mamajni))
	cp $(MAMAJNI_BUILD)/lib/*.jar $(PREFIX)/lib
	mkdir -p $(PREFIX)/examples/mamajni
	cp $(MAMAJNI_BUILD)/examples/*.java $(PREFIX)/examples/mamajni

mamajni-clean: mama-clean
	cd mama/jni ; ant -f build.xml clean ; make clean ; cd -
	$(eval MAMAJNI_BUILD := mama/jni/$(shell ls -1 mama/jni | grep mamajni))
	rm -r $(MAMAJNI_BUILD)


#####################################################
# MAMDA
#####################################################
mamda: mama
	cd mamda/c_cpp ; make ; cd -

mamda-install: mama-install
	cd mamda/c_cpp ; make install -j1 -l80 ; cd -

mamda-clean: mama-clean
	cd mamda/c_cpp ; make clean; cd -


#####################################################
# MAMDAJAVA
#####################################################
mamdajni: mamajni
	cd mamda/java ; ant -f build.xml dist; cd -

mamdajni-install: mamajni-install
	cd mamda/java ; ant -f build.xml dist ; cd -
	$(eval MAMDAJNI_BUILD := mamda/java/mamda)
	cp $(MAMDAJNI_BUILD)/bin/* $(PREFIX)/bin
	cp $(MAMDAJNI_BUILD)/lib/*.jar $(PREFIX)/lib
	mkdir -p $(PREFIX)/examples/mamdajni
	cp -r $(MAMDAJNI_BUILD)/examples/com/wombat/mamda/examples/*.java $(PREFIX)/examples/mamdajni

mamdajni-clean: mamajni-clean
	cd mamda/java ; ant -f build.xml clean ; cd -
	$(eval MAMDAJNI_BUILD := mamda/java/mamda)
	rm -r $(MAMDAJNI_BUILD)


#####################################################
# DOCS
#####################################################
docs:
	echo "Building API Docs in mama"
	cd mama/c_cpp ; doxygen doxyconfig-c ; cd -
	cd mama/c_cpp ; doxygen doxyconfig-cpp ; cd -
	cd mama/jni ; ant -f build.xml -DwithDocs=true javadoc ; cd -
	echo "Building API Docs in mamda"
	cd mamda/c_cpp ; doxygen doxyconfig-cpp ; cd -
	cd mamda/java ; ant -f build.xml -DwithDocs=true javadoc ; cd -

=== debian/changelog ===
openmama (2.2.2.1-12build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:08:54 +0100

openmama (2.2.2.1-12) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Emmanuel Bourg ]
  * Fixed the build failure with Java 10 (Closes: #940137)
  * Updated the watch file

  [ Juhani Numminen ]
  * Backported the fix for the build failure with GCC 7 (Closes: #853594)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 13 Sep 2019 00:09:10 +0200

openmama (2.2.2.1-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libwombatcommoncpp0, libmamaavis0 and libmamacpp0 as a dependency of
    libmama-dev (Closes: #858502)

 -- Anton Gladky <gladk@debian.org>  Sat, 25 Mar 2017 09:45:17 +0100

openmama (2.2.2.1-11) unstable; urgency=medium

  * Team upload.
  * Apply patch to address FTBFS with Java 8.  (Closes: #745099)
    - Thank you to Emmanuel Bourg for the patch.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- tony mancill <tmancill@debian.org>  Tue, 28 Jul 2015 21:51:44 -0700

openmama (2.2.2.1-10) unstable; urgency=low

  * Patch to support HURD and kFreeBSD builds

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 16 Sep 2013 22:42:25 +0200

openmama (2.2.2.1-9) unstable; urgency=low

  * Update for building lib*-java packages
  * Build doc packages

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 16 Sep 2013 14:40:40 +0200

openmama (2.2.2.1-8) unstable; urgency=low

  * Install headers to womat-c (Closes: #722664)

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 16 Sep 2013 13:38:20 +0200

openmama (2.2.2.1-7) unstable; urgency=low

  * Ensure Makefile doesn't continue after errors

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 05 Sep 2013 11:30:22 +0200

openmama (2.2.2.1-6) unstable; urgency=low

  * Add more build-deps
  * Support atomic operations on additional CPUs

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 04 Sep 2013 19:05:00 +0200

openmama (2.2.2.1-5) unstable; urgency=low

  * Add more build-deps

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 04 Sep 2013 15:38:22 +0200

openmama (2.2.2.1-4) unstable; urgency=low

  * Export JAVA_HOME for sub-shells

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 04 Sep 2013 12:32:24 +0200

openmama (2.2.2.1-3) unstable; urgency=low

  * Set JAVA_HOME and default-jdk build-dep

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 04 Sep 2013 10:30:49 +0200

openmama (2.2.2.1-2) unstable; urgency=low

  * Update build-deps

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 04 Sep 2013 08:43:26 +0200

openmama (2.2.2.1-1) unstable; urgency=low

  * Initial release (Closes: #719131)

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 08 Aug 2013 21:44:30 +0200

=== debian/control ===
Source: openmama
Section: libs
Priority: optional
Maintainer: Daniel Pocock <daniel@pocock.com.au>
Build-Depends: debhelper (>= 9.0.0), uuid-dev, flex, libavis-dev, dpkg-dev (>= 1.16.1~), automake, libtool, default-jdk, doxygen, junit, ant, texlive-font-utils, ghostscript, javahelper
Homepage: http://www.openmama.org
Standards-Version: 3.9.6
Vcs-Git: https://salsa.debian.org/debian/openmama.git
Vcs-Browser: https://salsa.debian.org/debian/openmama

Package: libwombatcommon0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - Wombat utility libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides a utility library, libwombatcommon, used by
 OpenMAMA components.

Package: libwombatcommoncpp0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - Wombat utility libraries (C++)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides a utility library, libwombatcommoncpp, used by
 OpenMAMA components.

Package: libmama0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libmamaavis0
Description: message oriented middleware - shared libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the core libraries.

Package: libmamajni-java
Section: java
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libmama0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - Java libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the Java API to the core libraries.

Package: libmamacpp0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libmamaavis0
Description: message oriented middleware - shared libraries (C++)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the core libraries (C++).

Package: libmama-dev
Section: libdevel
Architecture: any
Depends: libmama0 (= ${binary:Version}), ${misc:Depends}, libwombatcommoncpp0 (= ${binary:Version}), libmamaavis0 (= ${binary:Version}), libmamacpp0 (= ${binary:Version})
Recommends: libmama-doc
Description: message oriented middleware - development files
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides header files needed for developing applications
 based on the core libraries.

Package: libmamaavis0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - avis transport
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides support for the avis transport.

Package: libmamda0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - shared libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the core libraries for market data functionality.

Package: libmamda-java
Section: java
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libmamda0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libmamajni-java (= ${binary:Version})
Description: message oriented middleware - Java libraries (MAMDA)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the Java API to the MAMDA libraries.

Package: libmamda-dev
Section: libdevel
Architecture: any
Depends: libmamda0 (= ${binary:Version}), libmamdabook0 (= ${binary:Version}), libmamdanews0 (= ${binary:Version}), libmamdaoptions0 (= ${binary:Version}), ${misc:Depends}
Recommends: libmamda-doc
Description: message oriented middleware - development files
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides header files needed for developing applications
 based on market data libraries.

Package: libmamdabook0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - shared libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package providers support for order books.

Package: libmamda-book-java
Section: java
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libmamda0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libmamda-java  (= ${binary:Version})
Description: message oriented middleware - Java libraries (MAMDA order book)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the Java API to the MAMDA order book library.

Package: libmamdanews0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - shared libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides support for news.

Package: libmamdaoptions0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - shared libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides support for options instruments.

Package: libmamda-options-java
Section: java
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libmamda0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libmamda-java  (= ${binary:Version})
Description: message oriented middleware - Java libraries (MAMDA options)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the Java API to the MAMDA options library.

Package: libmama-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Suggests: libmamda-doc
Description: message oriented middleware - API documentation (MAMA)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the API documentation for OpenMAMA C, C++ and Java.

Package: libmamda-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Recommends: libmama-doc
Description: message oriented middleware - API documentation (MAMA)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the API documentation for OpenMAMDA C, C++ and Java.

=== debian/rules ===
#!/usr/bin/make -f

#DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# needed with -fPIC
#CPPFLAGS += -dynamic

export JAVA_HOME = /usr/lib/jvm/default-java
export CLASSPATH = /usr/share/java/junit.jar

# clean doesn't seem to work very well if configure hasn't
# already been run
override_dh_auto_clean:
	find . -name '*.o' -exec rm {} \;
	find . -name '*.lo' -exec rm {} \;
	find . -name 'lib*.so*' -exec rm {} \;
	-find . -name '.libs' -type d -exec rm -rf {} \;

# had to patch Makefile.am - so re-run autoreconf
override_dh_auto_configure:
	( for subproject in common/c_cpp mama/c_cpp mama/jni mamda/c_cpp ; \
	do ( cd $${subproject} ; autoreconf -fi ) done )
	dh_auto_configure -- --with-avis=/usr --enable-shared --disable-static --with-pic=yes

#override_dh_auto_build:
#	make common mama mamda docs

%:
	dh $@ --builddirectory=. --with javahelper

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp common-install mama-install mamda-install
	find $$(pwd)/debian/tmp -name jquery.js -exec rm {} \;

=== debian/watch ===
version=4
opts="mode=git,repack,compression=xz" \
https://github.com/OpenMAMA/OpenMAMA refs/tags/OpenMAMA-([\d\.]+)-release
